Available in🇮🇳 India🇸🇬 Singapore
A payout is a transfer of funds from your business account to a Contact’s Fund Account(s). You can create and process payouts both on the RazorpayX Dashboard and via the Payouts API. Ensure to create a contact and add a fund account.
What’s NewIdempotency Key is mandatory for all payout requests starting March 15, 2025.
To make payouts, you must allowlist IPs and pass the idempotency key.
Making payouts from RazorpayX Lite account to RazorpayX Lite Customer Identifiers or Razorpay Customer identifiers is not supported.
Fork the Razorpay Postman Public Workspace and try the Payouts APIs using your Test API Keys.
Creates a Payout to a Bank Account
POST /v1/payoutsCreate a payout to a bank account.Create a Payout to a VPA
POST /v1/payoutsCreates a payout to a VPA.Fetch all Payouts
GET /v1/payouts?account_number=\{account number\}Retrieves details of all the payouts.Fetch a Payout with ID
GET /v1/payouts/:idRetrieves details of one payout via ID.Cancel a Queued Payout
PATCH /v1/payouts/:id/cancelCancels a payout in queued state.